--[[
    When hideInCombat is enabled, the tooltip only hides on units and WorldFrame
    For all other objects in the game, the tooltip remains visible, such as buffs, spells, items, etc.
]]

local _, addonTable = ...
local config = addonTable.config

if not config.hideInCombat then
    return -- ignore the code below
end

local function onShow(self)
    if InCombatLockdown() and GetMouseFocus() == WorldFrame then
        return self:Hide()
    end
end

local function onTooltipSetUnit(self)
    if InCombatLockdown() then
        return self:Hide()
    end
end

GameTooltip:HookScript('OnShow', onShow)
GameTooltip:HookScript('OnTooltipSetUnit', onTooltipSetUnit)